GET api/contractapi/contractsbysitecustomer/{siteCustomerId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteCustomerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Response Formats
application/json, text/json
Sample:
[
{
"selected_nameplate_id": "ca441349-2dfa-49dc-9487-42c0fc5a7421",
"selected_sticker_id": "1f60c530-6cb0-412a-b21a-d3e7c24c7d49",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "cab710c7-aa80-42aa-aa9c-e074f71c53c2",
"site_id": "ecc80b5b-09ff-4b54-af2d-5951f8344eee"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "cab710c7-aa80-42aa-aa9c-e074f71c53c2",
"site_id": "ecc80b5b-09ff-4b54-af2d-5951f8344eee"
}
],
"active": true,
"certificate_type_id": "97efa32f-bde0-4d60-bd0d-97e9592bb05d",
"code": 1,
"delay_between_scans": 1,
"id": "6c0f857c-5d08-4090-9ea0-e463dd4dc881",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "979cfd82-04b2-4014-bea8-5c6629b961e6",
"packing_type_id": "b4045ba2-605d-4073-a7cc-5d8198392d08",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "fc1708aa-778b-4905-90d9-195e550bd4a2",
"remark": "sample string 14",
"site_customer_id": "abe21dca-ce41-4967-a80a-794f718ac27a",
"sorting_type_id": "30c7f333-7d72-4848-b7a5-ee89b8d73c89",
"type": "sample string 17"
},
{
"selected_nameplate_id": "ca441349-2dfa-49dc-9487-42c0fc5a7421",
"selected_sticker_id": "1f60c530-6cb0-412a-b21a-d3e7c24c7d49",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "cab710c7-aa80-42aa-aa9c-e074f71c53c2",
"site_id": "ecc80b5b-09ff-4b54-af2d-5951f8344eee"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "cab710c7-aa80-42aa-aa9c-e074f71c53c2",
"site_id": "ecc80b5b-09ff-4b54-af2d-5951f8344eee"
}
],
"active": true,
"certificate_type_id": "97efa32f-bde0-4d60-bd0d-97e9592bb05d",
"code": 1,
"delay_between_scans": 1,
"id": "6c0f857c-5d08-4090-9ea0-e463dd4dc881",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "979cfd82-04b2-4014-bea8-5c6629b961e6",
"packing_type_id": "b4045ba2-605d-4073-a7cc-5d8198392d08",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "fc1708aa-778b-4905-90d9-195e550bd4a2",
"remark": "sample string 14",
"site_customer_id": "abe21dca-ce41-4967-a80a-794f718ac27a",
"sorting_type_id": "30c7f333-7d72-4848-b7a5-ee89b8d73c89",
"type": "sample string 17"
}
]
application/xml, text/xml
Sample:
<ArrayOfcontract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<contract>
<active>true</active>
<certificate_type_id>97efa32f-bde0-4d60-bd0d-97e9592bb05d</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>6c0f857c-5d08-4090-9ea0-e463dd4dc881</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>979cfd82-04b2-4014-bea8-5c6629b961e6</packaging_type_id>
<packing_type_id>b4045ba2-605d-4073-a7cc-5d8198392d08</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>fc1708aa-778b-4905-90d9-195e550bd4a2</pool_id>
<remark>sample string 14</remark>
<site_customer_id>abe21dca-ce41-4967-a80a-794f718ac27a</site_customer_id>
<sorting_type_id>30c7f333-7d72-4848-b7a5-ee89b8d73c89</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>ca441349-2dfa-49dc-9487-42c0fc5a7421</selected_nameplate_id>
<selected_sticker_id>1f60c530-6cb0-412a-b21a-d3e7c24c7d49</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>cab710c7-aa80-42aa-aa9c-e074f71c53c2</id>
<site_id>ecc80b5b-09ff-4b54-af2d-5951f8344eee</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>cab710c7-aa80-42aa-aa9c-e074f71c53c2</id>
<site_id>ecc80b5b-09ff-4b54-af2d-5951f8344eee</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
<contract>
<active>true</active>
<certificate_type_id>97efa32f-bde0-4d60-bd0d-97e9592bb05d</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>6c0f857c-5d08-4090-9ea0-e463dd4dc881</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>979cfd82-04b2-4014-bea8-5c6629b961e6</packaging_type_id>
<packing_type_id>b4045ba2-605d-4073-a7cc-5d8198392d08</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>fc1708aa-778b-4905-90d9-195e550bd4a2</pool_id>
<remark>sample string 14</remark>
<site_customer_id>abe21dca-ce41-4967-a80a-794f718ac27a</site_customer_id>
<sorting_type_id>30c7f333-7d72-4848-b7a5-ee89b8d73c89</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>ca441349-2dfa-49dc-9487-42c0fc5a7421</selected_nameplate_id>
<selected_sticker_id>1f60c530-6cb0-412a-b21a-d3e7c24c7d49</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>cab710c7-aa80-42aa-aa9c-e074f71c53c2</id>
<site_id>ecc80b5b-09ff-4b54-af2d-5951f8344eee</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>cab710c7-aa80-42aa-aa9c-e074f71c53c2</id>
<site_id>ecc80b5b-09ff-4b54-af2d-5951f8344eee</site_id>
<descriptions xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 1</d5p1:Key>
<d5p1:Value>sample string 2</d5p1:Value>
</d5p1:KeyValueOfstringstring>
<d5p1:KeyValueOfstringstring>
<d5p1:Key>sample string 3</d5p1:Key>
<d5p1:Value>sample string 4</d5p1:Value>
</d5p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
</ArrayOfcontract>